﻿/// <reference path="viewmsg.js"/>
//縦長時と横長時でクラスを切り替えたいオブジェクトの登録
var ChangeClass = new Array("btntxt_begin", "btntxt_begin2", "btntxt_goedit", "btntxt_gohitsuzi", "btnsvg_begin", "btnsvg_begin2", "btnsvg_goedit", "btnsvg_gohitsuzi"
    , "btntxt_save0", "btntxt_save1", "btntxt_save2", "btntxt_saveback", "btnsvg_save0", "btnsvg_save1", "btnsvg_save2", "btnsvg_saveback"
    , "div_menu0", "rogo1", "logo_div", "div_c0_pos", "svg_mk1_s0","bigtext");

function pageBegin() {


    setMode(0);
    fadeBegin(0, 1000, "");
    setInterval("fading()", 33);

    //クッキーの値を取得
    //$.cookie("mk1_firetimer_min", "-1");
    Data_save("mk1_firetimer_min", "-1");

    var outer_type = Data_load("mk1_outer");
    if (outer_type == null) outer_type = 1;


    var inner_type = Data_load("mk1_inner");
    if (inner_type == null) inner_type = 1;

    var call_type = Data_load("mk1_call");
    if (call_type == null) call_type = 0;

    //フィルターを適用
    InitFilter();

    //髪フィルタ
    SetFilter_tag("前髪→#91", "hue_hair");
    SetFilter_tag("前髪←#85", "hue_hair");
    SetFilter_tag("後ろ髪#68", "hue_hair");

    //服フィルタ
    SetFilter_tag("服A#8", "hue_huku_ue");
    SetFilter_tag("服A#8", "hue_huku_ue");
    SetFilter_tag("服A#8", "hue_huku_ue");
    SetFilter_tag("服A#219", "hue_huku_ue");
    SetFilter_tag("伸ばした腕_服A#269", "hue_huku_ue");
    SetFilter_tag("服B#15", "hue_huku_ue");

    SetFilter_tag("服B#242", "hue_huku_ue");
    SetFilter_tag("伸ばした腕_服B#274", "hue_huku_ue");

    //スカートフィルタ
    SetFilter_tag("スカート#197", "hue_huku_sita");

    //下着フィルタ
    //SetFilter_tag("下着A#3", "hue_inner");
    //SetFilter_tag("下着A#6", "hue_inner");
    SetFilter_tag("下着A#186", "hue_inner");
    SetFilter_tag("下着A#209", "hue_inner");

    //SetFilter_tag("下着B#4", "hue_inner");
    //SetFilter_tag("下着B#7", "hue_inner");
    SetFilter_tag("下着B#191", "hue_inner");
    SetFilter_tag("下着B#214", "hue_inner");

    //エディット初期値
    document.getElementById("huenum_out_ue").value = fillterVal_out_ue;
    document.getElementById("huenum_out_sita").value = fillterVal_out_sita;
    document.getElementById("huenum_hair").value = fillterVal_hair;
    document.getElementById("huenum_inner").value = fillterVal_inner;


    setouter(outer_type);
    setinner(inner_type);
    setcall(call_type);
    setAfterMove(1);
    if (isIpad) { setAfterMove(2); }

    setBtnEnabled_Opt(Enabled_CV, "cv", "pages/svg/");
    setBtnEnabled_Opt(Enabled_SE, "se", "pages/svg/");
    setBtnEnabled_Opt(Enabled_FK, "fk", "pages/svg/");


    //ロード時のために非表示ダミー化してあったCSVクラスを正規のものにセット

    document.getElementById('svg_mk1_s0').className["baseVal"] = "svg_mk1_s0";
    document.getElementById('rogo1').className["baseVal"] = "titlelogo";

    document.getElementById('svg_mk1_s0').style.height = '100%';
    //document.getElementById("dmybar_scene").setAttribute("fill", "url(#grad34)");

    //不本意だが、アス比変更を走らせてしまう
    checkRotate();

    /*
    if (isIE) {
        alert('！注意！\n\nお使いのブラウザでは、音声が再生されません。\n他のブラウザ（FireFox,Chrome)を使用することを強く推奨します');
    }
    */

    beginGameFlg = true;

}


var lastSel = -1;
var moveTimer = -1



function setMode(val) {
    var wWidth = 0;
    var wHeight = 0;
    if (!$.support.noCloneEvent) {
        wWidth = document.body.clientWidth;
        wHeight = document.body.clientHeight;
    } else {
        wWidth = window.innerWidth;
        wHeight = window.innerHeight;
    }

    if (val != 3) {
        //document.getElementById("rogo1").style.height = "45%";
        document.getElementById("rogo1").style.opacity = 1;
        document.getElementById("svg_mk1_s0").className["baseVal"] = "svg_mk1_s0";
        setPose(0);
        setDivView_edit(0)
    } else {
        //document.getElementById("rogo1").style.height = "20%";
        document.getElementById("rogo1").style.opacity = 0.3;
        document.getElementById("svg_mk1_s0").className["baseVal"] = "svg_mk1_s0_2";
        setPose(1);
    }

    //不本意だが、アス比変更を走らせてしまう
    checkRotate();

    if (lastSel == 3 && val != 3) {
        //オプション保存
        Data_save("mk1_fillterval_hair", fillterVal_hair);
        Data_save("mk1_fillterval_out_ue", fillterVal_out_ue);
        Data_save("mk1_fillterval_out_sita", fillterVal_out_sita);
        Data_save("mk1_fillterval_inner", fillterVal_inner);
    }

    //表示対象div以外を隠す
    setHidings_div(val, 4, "div_menu");


    if (val == 1) {
        if (isIpad) {
            fadeBegin(1, 2000, "pages/s03.html?pass2=1");
        } else {
            fadeBegin(1, 2000, "pages/s02.html");
        }
    }

    if (val == 391) {
        //エディットモードで開始
        switch (aftermove) {
            case 0: fadeAfter = "pages/s01.html"; break;
            case 1: fadeAfter = "pages/s02.html"; break;
            case 2: fadeAfter = "pages/s03.html"; break;
            case 3: fadeAfter = "pages/s01.html?inpage=6"; break;
            case 4: fadeAfter = "pages/s05.html"; break;

        }
        fadeBegin(1, 2000, fadeAfter);
    }


    if (val == 4) {
        //羊モードで開始
        fadeAfter = "pages/s01.html?inpage=10";
        
        fadeBegin(1, 2000, fadeAfter);
    }


    if (val == 1 || val == 391 || val == 4) {
        playAudio(commonAudio["submit01"], Enabled_SE);
    } else {
        if (lastSel != -1) {
            playAudio(commonAudio["submit02"], Enabled_SE);
        }
    }

    //スタッフ表記は、タイトルモードゼロの時のみ
    if (val == 0) {
        document.getElementById("creditView").style.display = "inherit";
    } else {
        document.getElementById("creditView").style.display = "hidden";
    }

    lastSel = val;

}


function setouter(val) {
    Data_save("mk1_outer", val);
    setSelectings(val, 3, "btn_outer_", "url(#grad33)", "url(#grad31)");
    setVisible_Outer(val);
    outer_type = val;
}

function setinner(val) {
    Data_save("mk1_inner", val);
    setSelectings(val, 3, "btn_inner_", "url(#grad33)", "url(#grad31)");
    setVisible_Inner(val);
    inner_type = val;
}

function setcall(val) {
    Data_save("mk1_call", val);
    setSelectings(val, 3, "btn_call_", "url(#grad33)", "url(#grad31)");
}

var aftermove = 0;

function setAfterMove(val) {
    if (val == 1 && isIpad) { return;}

    aftermove = val;
    for (var i = 1; i < 4; i++) {
        btn = document.getElementById("img_sum_" + i);
        if (i == val) {
            btn.className = "img_use";
        } else {
            btn.className = "img_unuse";
        }
    }
}


//ポーズ変更 	0がアップ時
function setPose(val) {
    //姿勢変更のためのMX
    var mx_s = "";	//上半身用ＭＸ
    var mx_f = "";	//顔を傾けるためのMx
    var mx_s2 = "";	//後頭部用のＭＸ

    if (val == 0) {
        mx_s = "matrix(1.023 -0.132 0 1.023 0.173 -72.828)";
        mx_f = "matrix(1.0578683 -0.08993925 0.08846105 1.0807386 -78.910835 -127.67895)";
        mx_s2 = "matrix(1 0.10451398 0 0.97241246 -10.931272 66.509232)";
    } else {
        mx_s = "matrix(1 0 0 1 0 0)";
        mx_f = "matrix(1.0729563 0 0 1.0729563 26.427421 -95.283331)";
        mx_s2 = "matrix(1 0 0 1 0 0)";
    }

    document.getElementById("上半身#5").setAttribute("transform", mx_s);
    document.getElementById("上半身#20").setAttribute("transform", mx_s);
    document.getElementById("上半身#208").setAttribute("transform", mx_s);
    document.getElementById("頭部#67").setAttribute("transform", mx_f);
    document.getElementById("後ろ髪#68").setAttribute("transform", mx_s2);


    //腕部分の表示/非表示の切り替え
    var dispStr_A = "none";
    var dispStr_B = "none";
    if (val == 0) {
        dispStr_A = "inherit";
    }
    else {
        dispStr_B = "inherit"
    }

    //アップ時の表示アイテム切替セット
    document.getElementById("さらに上レイヤ#263").style.display = dispStr_A;

    //引き絵時の表示アイテム切替
    document.getElementById("→腕#43").style.display = dispStr_B;
    document.getElementById("→腕#236").style.display = dispStr_B;
    document.getElementById("→腕#258").style.display = dispStr_B;

    //表情セット
    setFace(val);
}




//服の表示・非表示のセット
function setVisible_Outer(val) {
    setVisible_Out_A(val == 1);
    setVisible_Out_B(val == 2);
}

function setVisible_Out_A(val_b) {
    disStr = "none";
    if (val_b == true) { disStr = "inherit"; }

    document.getElementById("服A#8").style.display = disStr;
    document.getElementById("服A#219").style.display = disStr;
    document.getElementById("伸ばした腕_服A#269").style.display = disStr;
}

function setVisible_Out_B(val_b) {
    disStr = "none";
    if (val_b == true) { disStr = "inherit"; }

    document.getElementById("服B#15").style.display = disStr;
    document.getElementById("服B#196").style.display = disStr;
    document.getElementById("服B#242").style.display = disStr;
    document.getElementById("伸ばした腕_服B#274").style.display = disStr;
}

function setVisible_Inner(val) {
    setVisible_in_A(val == 1);
    setVisible_in_B(val == 2);
}

function setVisible_in_A(val_b) {
    disStr = "none";
    if (val_b == true) { disStr = "inherit"; }

    //document.getElementById("下着A#3").style.display = disStr;
    //document.getElementById("下着A#6").style.display = disStr;
    document.getElementById("下着A#186").style.display = disStr;
    document.getElementById("下着A#209").style.display = disStr;
    //document.getElementById("下着A#286").style.display=disStr;
}

function setVisible_in_B(val_b) {
    disStr = "none";
    if (val_b == true) { disStr = "inherit"; }

    //document.getElementById("下着B#4").style.display = disStr;
    //document.getElementById("下着B#7").style.display = disStr;
    document.getElementById("下着B#191").style.display = disStr;
    document.getElementById("下着B#214").style.display = disStr;
    //document.getElementById("下着B#287").style.display=disStr;
}


function setFace(val_f) {
    if (val_f == 1) {
        document.getElementById("表情1#98").style.display = "inherit";
        document.getElementById("表情2#121").style.display = "none";
    }
    else {
        document.getElementById("表情1#98").style.display = "none";
        document.getElementById("表情2#121").style.display = "inherit";
    }
    document.getElementById("表情3#308").style.display = "none";
    document.getElementById("表情4#318").style.display = "none";
}

function mouseOver_outer(isover, val) {
    if (isover == true) {
        setVisible_Outer(val);
    }
    else {
        setVisible_Outer(outer_type);
    }
}


function mouseOver_inner(isover, val) {
    if (isover == true) {
        setVisible_Outer(0);
        setVisible_Inner(val);
    }
    else {
        setVisible_Outer(outer_type);
        setVisible_Inner(inner_type);
    }
}


function move1() {
    //timerUpdate();

    movePow = 1000;
    fact_m = 1;
    fact = 0.1;
    var f = 0;
    if (keyFraming == -1) {
        if (movePow > 0) {
            f = +new Date % movePow / movePow * Math.PI * 2;
        } else {
            f = 0;
        }
    }
    else {
        tmpD = new Date;
        keyFraming = tmpD.getTime() - keyBeginDate;
        //フレームに応じた[f]を取得
        f = getLerpedKeyVal(keyFrames, frameValue, keyFraming);

        setMsg();
    }

    //基本の上下移動
    kosi_Base.setAttribute("transform", "translate(" + Math.sin(f) * 20 * -fact_m + ", 0 )");
    kosi_Base.setAttribute("transform", "rotate(" + GetDeg(Math.sin(f) * fact) + " ,432,656)");

    /*
    //ももと膝
    momo_L.setAttribute("transform", "rotate (" + GetDeg( Math.sin(f) * fact) + " ,328,851)");
    momo_R.setAttribute("transform", "rotate (" + GetDeg( Math.sin(f) * -fact) + " ,438,851)");
            
    hizA_L.setAttribute("transform", "rotate (" + GetDeg( Math.sin(f) * -fact) + " ,34,516)");
    hizA_R.setAttribute("transform", "rotate (" + GetDeg( Math.sin(f) * fact) + " ,728,516)");
    
    
    //肩と腕
    kata_L.setAttribute("transform", "rotate (" + GetDeg( baseR_kata_L + Math.sin(f) * -fact  ) + " ,295,388)");
    kata_R.setAttribute("transform", "rotate (" + GetDeg( baseR_kata_R + Math.sin(f) * fact  ) + " ,480,333)");
    
    hizi_L.setAttribute("transform", "rotate (" + GetDeg( baseR_hizi_L + Math.sin(f) * -fact*0.5  ) + " ,223,572)");
    hizi_R.setAttribute("transform", "rotate (" + GetDeg( baseR_hizi_R + Math.sin(f) * fact*0.5  ) + " ,537,526)");
    
    
    
    //胸移動。若干ディレイをかけている
    //f = f-1;
    
    //mune_L.setAttribute("transform", "translate(0," +  Math.sin(f) * 3 * -fact_m + " )");
    //mune_R.setAttribute("transform", "translate(0," +  Math.sin(f) * 3 * -fact_m + " )");
    */

}



function setDivView_edit(_id) {

    switch (_id) {

        case 0:
            document.getElementById("SeenEdit").style.display = "inherit";
            document.getElementById("ColorEdit").style.display = "none";
            break;
        case 1:
            document.getElementById("ColorEdit").style.display = "inherit";
            document.getElementById("SeenEdit").style.display = "none";
            break;
    }
    setSelectings(_id, 2, "btn_edittab_", "url(#grad33)", "url(#grad31)");
}

//全画面で必要：縦横切替時に表示/非表示を切り替える
function checkRotate2(heightflg) {
    //聳え立つクソ：safari対策。
    //safariはSVGに対してheight,widthの片方のみをセットしても、もう片方を自動算出してくれない！
    //ので、不本意だがsafari＆androidに関しては、決め打ちでセットする他ない。腹立たしい
    var ua = window.navigator.userAgent.toLowerCase();
    if (ua.indexOf('safari') != -1) {
        var nowWindowWidth =0;
        if (window.innerWidth > window.innerHeight)
        {   //横長
            nowWindowWidth = window.innerWidth * 0.5;
        }else{
            //縦長
            nowWindowWidth = window.innerWidth * 0.7;
        }       
       
        document.getElementById("rogo1").style.height = nowWindowWidth * 0.61;
        document.getElementById("rogo1").style.width = nowWindowWidth;
    }

}



///各シーンで共通で作成する
function getHelpMessage() {
    document.getElementById("helptext").innerHTML = "作った人<br><table class=maintext><tr><td>プログラム＆着色　</td><td>　にぃる</td></tr><tr><td>イラスト原画</td><td>　coco <a href='http://ameblo.jp/tyyk-pinkponpunk-x/' target='_blank'><img src='sum/coco_baner.jpg'/></a></td></tr><tr><td>キャラボイス</td><td>　<a href='http://blog.livedoor.jp/namimimio/' target='_blank'> なみみみお</a> <br></td></tr> <tr><td>効果音</td><td>　<a href='http://maoudamashii.jokersounds.com/' target='_blank'>魔王魂</a></td></tR>    </table>";
}